<!--
SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH

SPDX-License-Identifier: CC-BY-4.0
-->

(dasf-class-web-component)=

# `dasf-class` custom web component

The `dasf-class` web component is a the framework agnostic alternative to the
{func}`ClassContainer <ClassContainer.default>` react component.

````{dropdown} Example

An example implementation would be

```html
<dasf-class
  websocket-url="ws://<someserver>/ws"
  topic="sometopic"
  class-name="SomeClass"
></dasf-module>
<script type="module" src="/node_modules/@dasf/dasf-messaging"></script>
```

````

(dasf-class-properties)=

## Properties

For documentation on the properties, please have a look at the
{class}`ClassContainerOptions` interface. Note that the type of the
property determines how the parameter of the custom web component is
interpreted. Furthermore note that camel case (such as `websocketUrl`) will
be converted to kebab case (i.e. `websocket-url`).

```{literalinclude} ../../src/main.tsx
---
start-at: const WebClassContainer
language: tsx
name: dasf-class
caption: dasf-class
end-at: "});"
---
```
