<!--
SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH

SPDX-License-Identifier: CC-BY-4.0
-->

(dasf-function-web-component)=

# `dasf-function` custom web component

The `dasf-function` web component is a the framework agnostic alternative to the
{func}`FunctionContainer <FunctionContainer.default>` react component.

````{dropdown} Example

An example implementation would be

```html
<dasf-function
  websocket-url="ws://<someserver>/ws"
  topic="sometopic"
  output-description="Some description for the output"
  function-name="test_function"
>
</dasf-function>
<script type="module" src="/node_modules/@dasf/dasf-messaging"></script>
```

````

(dasf-function-properties)=

## Properties

For documentation on the properties, please have a look at the
{class}`FunctionContainerOptions` interface. Note that the type of the
property determines how the parameter of the custom web component is
interpreted. Furthermore note that camel case (such as `websocketUrl`) will
be converted to kebab case (i.e. `websocket-url`).

(dasf-function-properties)=

## Properties

```{literalinclude} ../../src/main.tsx
---
start-at: const WebFunctionContainer
language: tsx
name: dasf-function
caption: dasf-function
end-at: "});"
---
```
