<!--
SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH

SPDX-License-Identifier: CC-BY-4.0
-->

(dasf-module-web-component)=

# `dasf-module` custom web component

The `dasf-module` web component is a the framework agnostic alternative to the
{func}`ModuleContainer <ModuleContainer.default>` react component.

````{dropdown} Example

An example implementation would be

```html
<dasf-module
  websocket-url="ws://<someserver>/ws"
  topic="sometopic"
></dasf-module>
<script type="module" src="/node_modules/@dasf/dasf-messaging"></script>
```

````

(dasf-module-properties)=

## Properties

For documentation on the properties, please have a look at the
{class}`ModuleContainerOptions` interface. Note that the type of the
property determines how the parameter of the custom web component is
interpreted. Furthermore note that camel case (such as `websocketUrl`) will
be converted to kebab case (i.e. `websocket-url`).

```{literalinclude} ../../src/main.tsx
---
start-at: const WebModuleContainer
language: tsx
name: dasf-module
caption: dasf-module
end-at: "});"
---
```
