// SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH
//
// SPDX-License-Identifier: Apache-2.0

import Form from '@rjsf/mui';
import validator from '@rjsf/validator-ajv8';

const log = (type: string) => console.log.bind(console, type);

function TopicContainer({ schemaElement }: { schemaElement?: string }) {
  const schemaData = JSON.parse(
    // @ts-expect-error:next-line
    document.getElementById(schemaElement)?.textContent,
  );
  return (
    <>
      <Form
        schema={schemaData.functions[1].rpc_schema}
        validator={validator}
        onChange={log('changed')}
        onSubmit={log('submitted')}
        onError={log('errors')}
      />
    </>
  );
}

export default TopicContainer;
