// SPDX-FileCopyrightText: 2025 Helmholtz-Zentrum hereon GmbH
//
// SPDX-License-Identifier: CC0-1.0

import { defineConfig } from 'vite';
import { resolve } from 'path';
import dts from 'vite-plugin-dts';
import react from '@vitejs/plugin-react';

// https://vitejs.dev/config/
export default defineConfig({
  build: {
    lib: {
      entry: resolve(__dirname, 'src/main.tsx'),
      name: 'dasf',
      fileName: 'dasf',
    },
  },
  define: {
    'process.env': process.env,
  },
  resolve: { alias: { src: resolve('src/') } },
  plugins: [react(), dts({ rollupTypes: true })],
});
